// pages/volunteerRanking/volunteerRanking.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    name: '',
    province:'',
    rankList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var config = wx.getStorageSync('config');
    var that = this;
    that.setData({
      name: config.name,
      province: options.province
    })
   wx.request({
      url: app.url + 'ajax_get_volunteer_rank2.php',
      data: {
        unionId: config.unionId,
        province: that.data.province
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        if (res.statusCode == 200) {
          that.setData({
            rankList: res.data.result.rankList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  //志愿者排名3
  rank3(e) {
    let city = e.currentTarget.dataset['index']
    wx.navigateTo({
      url: '../volunteersRank3/volunteersRank3?province=' + this.data.province + "&city=" + city,
    });
  },
})